# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetLBRequest(JDCloudRequest):
    """
    查看当前域名所有的有负载均衡的解析记录<br>
这些解析记录分页展示的列表

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetLBRequest, self).__init__(
            '/regions/{regionId}/domain/{domainId}/GetLB', 'GET', header, version)
        self.parameters = parameters


class GetLBParameters(object):

    def __init__(self, regionId, domainId, type, pageNumber, pageSize):
        """
        :param regionId: 实例所属的地域ID
        :param domainId: 域名ID，请使用getDomains接口获取。
        :param type: 解析记录的类型。有权重的类型有：A、AAAA、CNAME、JNAME
        :param pageNumber: 负载均衡记录分页展示的页数，默认为1
        :param pageSize: 负载均衡记录分页展示时每页的记录数，默认为10
        """

        self.regionId = regionId
        self.domainId = domainId
        self.type = type
        self.pageNumber = pageNumber
        self.pageSize = pageSize

