# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class SetLBRequest(JDCloudRequest):
    """
    设置域名解析记录的负载均衡
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(SetLBRequest, self).__init__(
            '/regions/{regionId}/domain/{domainId}/SetLB', 'POST', header, version)
        self.parameters = parameters


class SetLBParameters(object):

    def __init__(self, regionId, domainId, idWeights, type):
        """
        :param regionId: 实例所属的地域ID
        :param domainId: 域名ID，请使用getDomains接口获取。
        :param idWeights: 要设置解析记录的权重参数列表
        :param type: 这几条解析记录的类型。可以设置权重的类型有：A、AAAA、CNAME、JNAME
        """

        self.regionId = regionId
        self.domainId = domainId
        self.idWeights = idWeights
        self.type = type

